Cannot flash the firmware with the new PCClient

Firmware/software/electronics/mechanics
Post Reply
luisruiz
Beginner
Posts: 14
Joined: Fri May 31, 2013 7:39 am

Cannot flash the firmware with the new PCClient

Post by luisruiz » Fri Feb 07, 2014 7:53 am

Hello,

I am trying to flash the firmware with the new update of the PCClient, but I can't, I am using Windows Vista, I get this error:

********************************************************************************************************

Traceback (most recent call last):
File "\bitcraze-crazyflie-pc-client-4396f443316e\lib\cfclient\ui\dialogs\bootloader.py", line 286, in initiateColdBoot
if self.loader.coldboot():
File "\bitcraze-crazyflie-pc-client-4396f443316e\lib\cflib\bootloader\cloader.py", line 155, in coldboot
self.link = cflib.crtp.get_link_driver(self.clink_address)
File "\bitcraze-crazyflie-pc-client-4396f443316e\lib\cflib\crtp\__init__.py", line 87, in get_link_driver
instance.connect(uri, link_quality_callback, link_error_callback)
File "\bitcraze-crazyflie-pc-client-4396f443316e\lib\cflib\crtp\radiodriver.py", line 106, in connect
self.cradio = Crazyradio(devid=int(uri_data.group(1)))
File "\bitcraze-crazyflie-pc-client-4396f443316e\lib\cflib\drivers\crazyradio.py", line 127, in __init__
self.handle.setConfiguration(1)
File "C:\Python27\lib\site-packages\usb\legacy.py", line 255, in setConfiguration
self.dev.set_configuration(configuration)
File "C:\Python27\lib\site-packages\usb\core.py", line 547, in set_configuration
self._ctx.managed_set_configuration(self, configuration)
File "C:\Python27\lib\site-packages\usb\core.py", line 92, in managed_set_configuration
self.backend.set_configuration(self.handle, cfg.bConfigurationValue)
File "C:\Python27\lib\site-packages\usb\backend\libusb01.py", line 437, in set_configuration
_check(_lib.usb_set_configuration(dev_handle, config_value))
File "C:\Python27\lib\site-packages\usb\backend\libusb01.py", line 384, in _check
raise USBError(errmsg, ret)
usb.core.USBError: [Errno None] libusb0-dll:err [set_configuration] could not set config 1: win error: ???????????????

********************************************************************************************************

I was wondering if something is missing? If I go back to the previous version it works.

Thanks.

luisruiz
Beginner
Posts: 14
Joined: Fri May 31, 2013 7:39 am

Re: Cannot flash the firmware with the new PCClient

Post by luisruiz » Fri Feb 07, 2014 9:40 am

I was wondering if I have to upgrade the CrazyRadio, if so, how do I do it?
Thanks. :)

aybarskizilay
Beginner
Posts: 19
Joined: Tue Oct 16, 2018 2:03 pm

Re: Cannot flash the firmware with the new PCClient

Post by aybarskizilay » Mon Oct 29, 2018 3:26 pm

Hi,

I know it is pretty late; but I also encountered same problem today.

I switched the crazy radio driver to libusbk instead of libusb-win32 in Zadig and it started to work.

I hope it will help your problem

Best Regards

Post Reply